MIPI_DSI_GENERIC_REA(9)

NAME
mipi_dsi_generic_read - receive data using a generic read packet

SYNOPSIS

ssize_t mipi_dsi_generic_read(struct mipi_dsi_device * dsi, const void * params, size_t num_params, void * data, size_t size);

ARGUMENTS

dsi
    DSI peripheral device

params
    buffer containing the request parameters

num_params
    number of request parameters

data
    buffer in which to return the received data

size
    size of receive buffer

DESCRIPTION

This function will automatically choose the right data type depending on the number of parameters passed in.

RETURN

The number of bytes successfully read or a negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT